Package org.eclipse.rdf4j.sail.shacl

## Class ShaclSail.RevivableExecutorService

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ShaclSail.RevivableExecutorService

- All Implemented Interfaces:
    `Executor`, `ExecutorService`
  Enclosing class:
    ShaclSail

      @Experimental
      protected static class ShaclSail.RevivableExecutorService
      extends Object
      implements ExecutorService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RevivableExecutorService​(Supplier<ExecutorService> supplier)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `awaitTermination​(long timeout, TimeUnit unit)` |
    `void` | `execute​(Runnable command)` |
    `void` | `init()` |
    `<T> List<Future<T>>` | `invokeAll​(Collection<? extends Callable<T>> tasks)` |
    `<T> List<Future<T>>` | `invokeAll​(Collection<? extends Callable<T>> tasks, long timeout, TimeUnit unit)` |
    `<T> T` | `invokeAny​(Collection<? extends Callable<T>> tasks)` |
    `<T> T` | `invokeAny​(Collection<? extends Callable<T>> tasks, long timeout, TimeUnit unit)` |
    `boolean` | `isShutdown()` |
    `boolean` | `isTerminated()` |
    `void` | `shutdown()` |
    `List<Runnable>` | `shutdownNow()` |
    `Future<?>` | `submit​(Runnable task)` |
    `<T> Future<T>` | `submit​(Runnable task, T result)` |
    `<T> Future<T>` | `submit​(Callable<T> task)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RevivableExecutorService

          public RevivableExecutorService​(Supplier<ExecutorService> supplier)

  - ### Method Detail

    - #### init

          public void init()

    - #### shutdown

          public void shutdown()

      Specified by:
        `shutdown` in interface `ExecutorService`

    - #### shutdownNow

          public List<Runnable> shutdownNow()

      Specified by:
        `shutdownNow` in interface `ExecutorService`

    - #### isShutdown

          public boolean isShutdown()

      Specified by:
        `isShutdown` in interface `ExecutorService`

    - #### isTerminated

          public boolean isTerminated()

      Specified by:
        `isTerminated` in interface `ExecutorService`

    - #### awaitTermination

          public boolean awaitTermination​(long timeout,
                                          TimeUnit unit)
                                   throws InterruptedException

      Specified by:
        `awaitTermination` in interface `ExecutorService`
      Throws:
        `InterruptedException`

    - #### submit

          public <T> Future<T> submit​(Callable<T> task)

      Specified by:
        `submit` in interface `ExecutorService`

    - #### submit

          public <T> Future<T> submit​(Runnable task,
                                      T result)

      Specified by:
        `submit` in interface `ExecutorService`

    - #### submit

          public Future<?> submit​(Runnable task)

      Specified by:
        `submit` in interface `ExecutorService`

    - #### invokeAll

          public <T> List<Future<T>> invokeAll​(Collection<? extends Callable<T>> tasks)
                                        throws InterruptedException

      Specified by:
        `invokeAll` in interface `ExecutorService`
      Throws:
        `InterruptedException`

    - #### invokeAll

          public <T> List<Future<T>> invokeAll​(Collection<? extends Callable<T>> tasks,
                                               long timeout,
                                               TimeUnit unit)
                                        throws InterruptedException

      Specified by:
        `invokeAll` in interface `ExecutorService`
      Throws:
        `InterruptedException`

    - #### invokeAny

          public <T> T invokeAny​(Collection<? extends Callable<T>> tasks)
                          throws InterruptedException,
                                 ExecutionException

      Specified by:
        `invokeAny` in interface `ExecutorService`
      Throws:
        `InterruptedException`
        `ExecutionException`

    - #### invokeAny

          public <T> T invokeAny​(Collection<? extends Callable<T>> tasks,
                                 long timeout,
                                 TimeUnit unit)
                          throws InterruptedException,
                                 ExecutionException,
                                 TimeoutException

      Specified by:
        `invokeAny` in interface `ExecutorService`
      Throws:
        `InterruptedException`
        `ExecutionException`
        `TimeoutException`

    - #### execute

          public void execute​(Runnable command)

      Specified by:
        `execute` in interface `Executor`